/**
 * 日志插件
 */

const log4js = require("log4js")
const log4js_config = require('./log4js.json')
log4js.configure(log4js_config)
const logger = log4js.getLogger('file')

module.exports = this

/**
 * debug
 * @param message
 */
this.debug = (message) => {
    logger.debug(message)
}

/**
 * info
 * @param message
 */
this.info = (message) => {
    logger.info(message)
}

/**
 * error
 * @param message
 */
this.error = (message) => {
    logger.error(message)
}